OtherHash (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.esf

## Class OtherHash

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.OtherHash

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class OtherHash
      extends ASN1Object
      implements ASN1Choice

       OtherHash ::= CHOICE {
          sha1Hash  OtherHashValue, -- This contains a SHA-1 hash
         otherHash  OtherHashAlgAndValue
        }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OtherHash(byte[] sha1Hash)`
    `OtherHash(OtherHashAlgAndValue otherHash)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmIdentifier` | `getHashAlgorithm()`
    `byte[]` | `getHashValue()`
    `static OtherHash` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherHash

          public OtherHash(OtherHashAlgAndValue otherHash)

    - #### OtherHash

          public OtherHash(byte[] sha1Hash)

  - ### Method Detail

    - #### getInstance

          public static OtherHash getInstance(java.lang.Object obj)

    - #### getHashAlgorithm

          public AlgorithmIdentifier getHashAlgorithm()

    - #### getHashValue

          public byte[] getHashValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.